QUERY(1)

NAME
query - query the user for input

SYNOPSIS
query [-t seconds] [-r response] [-v] [-l]

DESCRIPTION
By default, query reads a line from standard input and echoes it to standard output. options include:

-t seconds
    Timeout after seconds seconds. If no input has been seen by this time, query will echo the default response value to standard output.

-r response
    Change the default response to response. The default response is "y" if not set with this option. The -r option is only useful in conjunction with -t or -l.

-v  Turn on verbosity. This will echo to stderr what the current response is and what the timeout is if timeout is set. There is no newline sent after the message.

-l  Loop rather than return response when a timeout occurs. If timeout is not set it defaults to 5 seconds for loops. This will also cause a message to appear on stderr stating what the default is and what the loop intervel is. At the end of each loop, query will output a newline and bell.

DIAGNOSTICS
Exit status is 0 if everything is OK, 1 for usage error.

AUTHOR
Christopher T. Johnson

Based on the man page for query from Apple Computer, Inc's A/UX Unix.

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.